    - name: Generate a random client-secret
      set_fact:
        client_secret: "{{ lookup('password', '/dev/null length=32 chars=ascii_letters,digits') }}"

    - name: Create Client at SSO Server
      local_action:
        module: keycloak_client
        auth_client_id: admin-cli
        auth_keycloak_url: "https://{{ sso_hostname }}:{{ sso_port }}/auth"
        auth_realm: "{{ sso_realm }}"
        auth_username: "{{ sso_user }}"
        auth_password: "{{ sso_password }}"
        realm: "{{ sso_realm }}"
        client_id: "{{ cluster_name }}"
        public_client: no
        state: present
        enabled: True
        client_authenticator_type: client-secret
        secret: "{{ client_secret }}"
        redirect_uris:
          - "https://oauth-openshift.apps.{{ cluster_name }}.{{ base_domain }}/*"
        protocol: openid-connect
        validate_certs: "{{ validate_ssl }}"
